Bug 76731 - ANOVA: F critical is not shown
Summary: ANOVA: F critical is not shown
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.3.1 rc
Hardware: All All
: low minor
Assignee: Not Assigned
URL:
Whiteboard: target:6.2.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-28 11:47 UTC by Stanislav Horacek
Modified: 2018-10-22 14:33 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
sample data for ANOVA (17.96 KB, application/vnd.oasis.opendocument.spreadsheet)
2014-03-28 11:47 UTC, Stanislav Horacek
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stanislav Horacek 2014-03-28 11:47:18 UTC
Created attachment 96519 [details]
sample data for ANOVA

In the table of ANOVA results, F critical is not displayed.

Steps to reproduce:
1. Open the attached sample document in Calc.
2. Select the data range, i.e. A1:C5.
3. Choose Data - Analysis of Variance (ANOVA).
4. Choose an arbitrary output cell and click OK.
5. Table of results is shown, "F critical" cell has "#NAME?" error value.

Expected: The cell should have appropriate value.
The expected value appears, if you:
- click the cell, go to Function Wizard and click OK.
- enter the cell formula in input line and delete a space in the formula.

Tested in 4.2.3.1 and current 4.3 master, Ubuntu 13.10.
Comment 1 Tomaz Vajngerl 2014-03-28 21:52:59 UTC
I can reproduce this.
Comment 2 Tomaz Vajngerl 2014-05-21 09:33:57 UTC
Hi, I have restructured ANOVA in 4.3 to support "two factor" ANOVA and doesn't have this bug anymore. I can't add this to 4.2 as it has new functionality. Is this good enough?
Comment 3 Stanislav Horacek 2014-05-21 15:33:50 UTC
Hi, of course it is absolutely OK. Thanks a lot!
Comment 4 Tomaz Vajngerl 2014-05-21 18:17:08 UTC
OK, then I'll mark this as fixed.
Comment 5 Commit Notification 2018-06-19 07:33:28 UTC
Zdeněk Crhonek committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3430102137a082625957d0669f7ec57834b94022

uitest for bug tdf#76731

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 BogdanB 2018-10-22 14:33:55 UTC
Verified on:
Version: 6.2.0.0.alpha0+
Build ID: 3846561f79cf9065abd9ca83c9fbfbe7e52e28e2
CPU threads: 4; OS: Linux 4.15; UI render: GL; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-10-21_02:45:54
Locale: en-US (ro_RO.UTF-8); Calc: threaded